| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
Digikam::LoadingTask Class Reference
Inheritance diagram for Digikam::LoadingTask:

## Public Types
enum | LoadingTaskStatus { LoadingTaskStatusLoading , LoadingTaskStatusPreloading , LoadingTaskStatusStopping }
Public Types inherited from Digikam::LoadSaveTask
enum | TaskType { TaskTypeLoading , TaskTypeSaving }

## Public Member Functions
| LoadingTask (LoadSaveThread *const thread, const LoadingDescription &description, LoadingTaskStatus loadingTaskStatus=LoadingTaskStatusLoading)
bool | continueQuery () override
void | execute () override
QString | filePath () const
const LoadingDescription & | loadingDescription () const
void | progressInfo (float progress) override
void | setStatus (LoadingTaskStatus status)
LoadingTaskStatus | status () const
TaskType | type () override
Public Member Functions inherited from Digikam::LoadSaveTask
| LoadSaveTask (LoadSaveThread *const thread)
Public Member Functions inherited from Digikam::DImgLoaderObserver
virtual float | granularity ()

## Protected Attributes
LoadingDescription | m_loadingDescription
volatile LoadingTaskStatus | m_loadingTaskStatus = LoadingTaskStatusLoading
Protected Attributes inherited from Digikam::LoadSaveTask
LoadSaveThread * | m_thread = nullptr

## Member Function Documentation

## ◆ continueQuery()

bool Digikam::LoadingTask::continueQuery | ( |  | ) |
| override virtual

Implements Digikam::LoadSaveTask.

## ◆ execute()

void Digikam::LoadingTask::execute | ( |  | ) |
| override virtual

Implements Digikam::LoadSaveTask.

## ◆ progressInfo()

void Digikam::LoadingTask::progressInfo | ( | float | progress | ) |
| override virtual

Implements Digikam::LoadSaveTask.

## ◆ type()

LoadingTask::TaskType Digikam::LoadingTask::type | ( |  | ) |
| override virtual

Implements Digikam::LoadSaveTask.